// HDC1080Sensor.h

#ifndef HDC1080SENSOR_H
#define HDC1080SENSOR_H
#define HDC1080_ADDR 0x40

#include "ClosedCube_HDC1080.h"

class HDC1080Sensor {
public:
    HDC1080Sensor(uint8_t address = HDC1080_ADDR); // Constructor
    void init(); // Initialize HDC1080 sensor
    void read_values(double* temperature, double* humidity, bool* success); // Read temperature and humidity values

private:
    uint8_t _address; // HDC1080 I2C address
    ClosedCube_HDC1080 hdc1080; // HDC1080 object
};

#endif // HDC1080SENSOR_H
