// HDC1080Sensor.cpp

#include "HDC1080Sensor.h"

HDC1080Sensor::HDC1080Sensor(uint8_t address) : _address(address) {
    // Constructor sets the address
}

void HDC1080Sensor::init() {
    hdc1080.begin(_address); // Initialize HDC1080 sensor with the specified address
}

void HDC1080Sensor::read_values(double* temperature, double* humidity, bool* success) {
    if (temperature) *temperature = hdc1080.readTemperature();
    if (humidity) *humidity = hdc1080.readHumidity();

    // Set success flag based on whether readings were successful
    if (success) *success = !isnan(*temperature) && !isnan(*humidity);
}
